Package org.apache.sysds.utils

## Class DMLCompressionStatistics

- java.lang.Object
- - org.apache.sysds.utils.DMLCompressionStatistics

    public class DMLCompressionStatistics
    extends Object

### Constructor Summary

Constructors
`DMLCompressionStatistics()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `addCompressionTime​(double time, int phase)`
`static void` `addDecompressCacheCount()`
`static void` `addDecompressSparkCount()`
`static void` `addDecompressTime​(double time, int threads)`
`static void` `addDecompressToBlockTime​(double time, int threads)`
`static void` `display​(StringBuilder sb)`
`static int` `getDecompressionCount()`
`static boolean` `haveCompressed()`
`static void` `reset()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DMLCompressionStatistics

    public DMLCompressionStatistics()

### Method Detail

#### reset

    public static void reset()

#### haveCompressed

    public static boolean haveCompressed()

#### addCompressionTime

    public static void addCompressionTime​(double time,
                                          int phase)

#### addDecompressTime

    public static void addDecompressTime​(double time,
                                         int threads)

#### addDecompressToBlockTime

    public static void addDecompressToBlockTime​(double time,
                                                int threads)

#### addDecompressSparkCount

    public static void addDecompressSparkCount()

#### addDecompressCacheCount

    public static void addDecompressCacheCount()

#### getDecompressionCount

    public static int getDecompressionCount()

#### display

    public static void display​(StringBuilder sb)